package com.goafanti.common.model;

import com.fasterxml.jackson.annotation.JsonFormat;

import java.io.Serializable;
import java.util.Date;

/**
 * 公出日期打卡表
 * @TableName public_release_date_clock
 */
public class PublicReleaseDateClock implements Serializable {
    /**
     * 
     */
    private Integer id;

    /**
     * 公出编号
     */
    private Integer prid;

    /**
     * 公出详情编号
     */
    private Integer prdid;

    /**
     * 状态 0未打卡 1已打卡
     */
    private Integer status;

    /**
     * 打卡时间
     */
    private Date clockInTime;

    /**
     * 发起时间
     */
    private Date createTime;

    private static final long serialVersionUID = 1L;

    /**
     * 
     */
    public Integer getId() {
        return id;
    }

    /**
     * 
     */
    public void setId(Integer id) {
        this.id = id;
    }

    /**
     * 公出编号
     */
    public Integer getPrid() {
        return prid;
    }

    /**
     * 公出编号
     */
    public void setPrid(Integer prid) {
        this.prid = prid;
    }

    /**
     * 公出详情编号
     */
    public Integer getPrdid() {
        return prdid;
    }

    /**
     * 公出详情编号
     */
    public void setPrdid(Integer prdid) {
        this.prdid = prdid;
    }

    /**
     * 状态 0未打卡 1已打卡
     */
    public Integer getStatus() {
        return status;
    }

    /**
     * 状态 0未打卡 1已打卡
     */
    public void setStatus(Integer status) {
        this.status = status;
    }

    /**
     * 打卡时间
     */
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    public Date getClockInTime() {
        return clockInTime;
    }

    /**
     * 打卡时间
     */
    public void setClockInTime(Date clockInTime) {
        this.clockInTime = clockInTime;
    }

    /**
     * 发起时间
     */
    public Date getCreateTime() {
        return createTime;
    }

    /**
     * 发起时间
     */
    public void setCreateTime(Date createTime) {
        this.createTime = createTime;
    }

    @Override
    public String toString() {
        return "PublicReleaseDateClock{" +
                "id=" + id +
                ", prid=" + prid +
                ", prdid=" + prdid +
                ", status=" + status +
                ", clockInTime=" + clockInTime +
                ", createTime=" + createTime +
                '}';
    }
}